[arch-commits] Commit in gnash-common/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 3 23:59:47 EDT 2009


    Date: Friday, April 3, 2009 @ 23:59:47
  Author: eric
Revision: 33059

upgpkg: gnash-common 0.8.5-1
    Upstream update, Switched to agg rendering, Switch to ffmpeg media, Added libtool depends, Added backup array

Modified:
  gnash-common/trunk/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-03 22:49:04 UTC (rev 33058)
+++ PKGBUILD	2009-04-04 03:59:47 UTC (rev 33059)
@@ -1,20 +1,21 @@
 # $Id$
 
 pkgname=gnash-common
-pkgver=0.8.4
+pkgver=0.8.5
 pkgrel=1
 pkgdesc='A GNU Flash movie player'
 arch=('i686' 'x86_64')
 url='http://www.gnu.org/software/gnash/'
 license=('GPL3')
-depends=('curl' 'giflib' 'boost' 'libldap' 'gstreamer0.10-base' 'sdl' 'libgl'
-         'libjpeg' 'libpng' 'mesa')
+depends=('curl' 'giflib' 'boost' 'libldap' 'ffmpeg' 'sdl' 'agg'
+         'libjpeg' 'libpng' 'libtool')
 makedepends=('pkgconfig')
-source=("http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2")
-options=('!libtool' '!emptydirs' '!docs')
 provides=('gnash')
 replaces=('gnash')
-md5sums=('b47a7ed4b7c66b8c2ebacc2286ef0d4b')
+backup=('etc/gnashrc' 'etc/gnashpluginrc')
+options=('!libtool' '!emptydirs')
+source=("http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2")
+md5sums=('366f703c2eb1747e4109602b75439ff4')
 
 build() {
 	cd $srcdir/gnash-$pkgver
@@ -24,7 +25,7 @@
 		--disable-plugins \
 		--disable-menus \
 		--enable-gui=sdl \
-		--enable-renderer=ogl \
+		--enable-renderer=agg \
 		--enable-z \
 		--enable-jpeg \
 		--enable-libpng \
@@ -32,8 +33,8 @@
 		--enable-fontconfig \
 		--enable-Xft \
 		--enable-expat \
-		--enable-gstreamer \
-		--enable-media=gst || return 1
+		--enable-ffmpeg \
+		--enable-media=ffmpeg || return 1
 
 	make || return 1
 	make DESTDIR=$pkgdir install || return 1



More information about the arch-commits mailing list